com.ihr.xbrl.pojo

## Class System

- java.lang.Object
- - com.ihr.xbrl.pojo.System

- All Implemented Interfaces:
    java.io.Serializable

      public class System
      extends java.lang.Object
      implements java.io.Serializable

  There should be just one record on the system table in the database.

  The system table contains information about the system. At this time the most important information is the date the last insert or update operation was executed.

  The value can be used for client systems monitoring the database to know when they may need to update their internal caches of information from the database.

  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `System()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getId()` Gets the id.
    `java.util.Date` | `getLastDatabaseUpdate()` Gets the last database update.
    `void` | `setId(java.lang.Long id)` Sets the id.
    `void` | `setLastDatabaseUpdate(java.util.Date lastDatabaseUpdate)` Sets the last database update.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### System

          public System()

  - ### Method Detail

    - #### getId

          public java.lang.Long getId()

      Gets the id.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.Long id)

      Sets the id.
      Parameters:
        `id` - the id to set

    - #### getLastDatabaseUpdate

          public java.util.Date getLastDatabaseUpdate()

      Gets the last database update.
      Returns:
        the lastDatabaseUpdate

    - #### setLastDatabaseUpdate

          public void setLastDatabaseUpdate(java.util.Date lastDatabaseUpdate)

      Sets the last database update.
      Parameters:
        `lastDatabaseUpdate` - the lastDatabaseUpdate to set